Package org.apache.any23.cli

## Class YAMLRoverTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.Any23OnlineTestBase
    - - org.apache.any23.cli.ToolTestBase
      - - org.apache.any23.cli.YAMLRoverTest

-     public class YAMLRoverTest
      extends ToolTestBase

  Unit test for issue ANY23-308
  Author:
    Jacek Grzebyta (grzebyta.dev [at] gmail.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.cli.ToolTestBase

      `TOOL_RUN_METHOD`

    - ### Fields inherited from class org.apache.any23.Any23OnlineTestBase

      `ONLINE_TEST_DISABLED_FLAG`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `YAMLRoverTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assertFileContainsString​(File f, String s)` | Asserts if file contains wanted string.
    `void` | `simpleTest()` |

    - ### Methods inherited from class org.apache.any23.cli.ToolTestBase

      `runTool, runTool, runToolCheckExit0`

    - ### Methods inherited from class org.apache.any23.Any23OnlineTestBase

      `assumeOnlineAllowed`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YAMLRoverTest

          public YAMLRoverTest()

  - ### Method Detail

    - #### simpleTest

          public void simpleTest()
                          throws Exception

      Throws:
        `Exception`

    - #### assertFileContainsString

          public void assertFileContainsString​(File f,
                                               String s)
                                        throws IOException

      Asserts if file contains wanted string. If logging level is `trace` than additionally displays file content.
      Parameters:
        `f` - input file
        `s` - Expected string in the file
      Throws:
        `IOException` - if there is an error reading the input data.